{pkgs, ...}: {
  services.caddy = {
    enable = true;
    virtualHosts = {
      "jolheiser.com" = {
        extraConfig = ''
          handle_path /.well-known/webfinger {
            header Content-Type application/jrd+json
            respond ${builtins.toJSON {
            subject = "acct:john@jolheiser.com";
            links = [
              {
                rel = "http://openid.net/specs/connect/1.0/issuer";
                href = "https://git.jojodev.com/";
              }
            ];
          }}
          }
          handle_path /bennet* {
            root * /srv/bennet/src
            file_server
          }
          handle /resume* {
            root * ${pkgs.jolheiser.resume}
            rewrite /resume /resume.pdf
            file_server
          }
          handle {
            root * ${pkgs.jolheiser.website}
            file_server
          }
        '';
        serverAliases = ["www.jolheiser.com"];
      };
      "go.jolheiser.com" = {
        extraConfig = ''
          header Content-Type text/html
          respond /* `<html><head>
            <meta name="go-import" content="go.jolheiser.com{uri} git https://git.jojodev.com/jolheiser{uri}.git">
            <meta http-equiv="refresh" content="3; url=https://pkg.go.dev/go.jolheiser.com{uri}" />
            </head><body>
            Redirecting to <a href="https://pkg.go.dev/go.jolheiser.com{uri}">https://pkg.go.dev/go.jolheiser.com{uri}</a>
            </body></html>`
        '';
      };
      "git.jolheiser.com" = {
        extraConfig = ''
          reverse_proxy localhost:8449
        '';
      };
      "social.jolheiser.com" = {
        extraConfig = ''
          reverse_proxy localhost:4686
        '';
      };
    };
  };
}
